gr::radar::estimator_rcs_impl Class Reference

`#include <estimator_rcs_impl.h>`

Inheritance diagram for gr::radar::estimator_rcs_impl:

## Public Member Functions

| estimator_rcs_impl (int num_mean, float center_freq, float antenna_gain_tx, float antenna_gain_rx, float usrp_gain_rx, float power_tx, float corr_factor, float exponent)
| ~estimator_rcs_impl ()
void | handle_msg (pmt::pmt_t msg)
float | calculate_rcs ()
float | calculate_vector_mean (boost::circular_buffer< float > *)
void | set_num_mean (int val)
void | set_center_freq (float val)
void | set_antenna_gain_tx (float val)
void | set_antenna_gain_rx (float val)
void | set_usrp_gain_rx (float val)
void | set_power_tx (float val)
void | set_corr_factor (float val)

## Public Attributes

boost::circular_buffer< float > | d_rcs_vals
int | d_num_mean
int | d_loop_counter
float | d_center_freq
float | d_antenna_gain_tx
float | d_antenna_gain_rx
float | d_usrp_gain_rx
float | d_power_tx
float | d_fak
float | d_lambda
float | d_antenna_gain_abs_rx
float | d_antenna_gain_abs_tx
float | d_corr_factor
float | d_exponent
pmt::pmt_t | d_port_id_in
pmt::pmt_t | d_port_id_out
pmt::pmt_t | d_prange
pmt::pmt_t | d_ppower
pmt::pmt_t | d_value
pmt::pmt_t | d_rcs_value
pmt::pmt_t | d_rcs_key
pmt::pmt_t | d_rcs_pack
std::vector< float > | d_range
std::vector< float > | d_power
std::vector< float > | d_rcs
std::vector< pmt::pmt_t > | d_msg_hold

## Static Public Attributes

static constexpr float | c_light = 3e8

## Additional Inherited Members

Public Types inherited from gr::radar::estimator_rcs
typedef std::shared_ptr< estimator_rcs > | sptr
Static Public Member Functions inherited from gr::radar::estimator_rcs
static sptr | make (int num_mean, float center_freq, float antenna_gain_tx, float antenna_gain_rx, float usrp_gain_rx, float power_tx, float corr_factor, float exponent=1)
| Return a shared_ptr to a new instance of radar::estimator_rcs.

## Constructor & Destructor Documentation

## estimator_rcs_impl()

gr::radar::estimator_rcs_impl::estimator_rcs_impl | ( | int | num_mean,
|  | float | center_freq,
|  | float | antenna_gain_tx,
|  | float | antenna_gain_rx,
|  | float | usrp_gain_rx,
|  | float | power_tx,
|  | float | corr_factor,
|  | float | exponent )

## ~estimator_rcs_impl()

gr::radar::estimator_rcs_impl::~estimator_rcs_impl | ( |  | ) |

## Member Function Documentation

## calculate_rcs()

float gr::radar::estimator_rcs_impl::calculate_rcs | ( |  | ) |

## calculate_vector_mean()

float gr::radar::estimator_rcs_impl::calculate_vector_mean | ( | boost::circular_buffer< float > * |  | ) |

## handle_msg()

void gr::radar::estimator_rcs_impl::handle_msg | ( | pmt::pmt_t | msg | ) |

## set_antenna_gain_rx()

void gr::radar::estimator_rcs_impl::set_antenna_gain_rx | ( | float | val | ) |

virtual

Implements gr::radar::estimator_rcs.

## set_antenna_gain_tx()

void gr::radar::estimator_rcs_impl::set_antenna_gain_tx | ( | float | val | ) |

virtual

Implements gr::radar::estimator_rcs.

## set_center_freq()

void gr::radar::estimator_rcs_impl::set_center_freq | ( | float | val | ) |

virtual

Implements gr::radar::estimator_rcs.

## set_corr_factor()

void gr::radar::estimator_rcs_impl::set_corr_factor | ( | float | val | ) |

virtual

Implements gr::radar::estimator_rcs.

## set_num_mean()

void gr::radar::estimator_rcs_impl::set_num_mean | ( | int | val | ) |

virtual

Implements gr::radar::estimator_rcs.

## set_power_tx()

void gr::radar::estimator_rcs_impl::set_power_tx | ( | float | val | ) |

virtual

Implements gr::radar::estimator_rcs.

## set_usrp_gain_rx()

void gr::radar::estimator_rcs_impl::set_usrp_gain_rx | ( | float | val | ) |

virtual

Implements gr::radar::estimator_rcs.

## Member Data Documentation

## c_light

float gr::radar::estimator_rcs_impl::c_light = 3e8

static constexpr

## d_antenna_gain_abs_rx

float gr::radar::estimator_rcs_impl::d_antenna_gain_abs_rx

## d_antenna_gain_abs_tx

float gr::radar::estimator_rcs_impl::d_antenna_gain_abs_tx

## d_antenna_gain_rx

float gr::radar::estimator_rcs_impl::d_antenna_gain_rx

## d_antenna_gain_tx

float gr::radar::estimator_rcs_impl::d_antenna_gain_tx

## d_center_freq

float gr::radar::estimator_rcs_impl::d_center_freq

## d_corr_factor

float gr::radar::estimator_rcs_impl::d_corr_factor

## d_exponent

float gr::radar::estimator_rcs_impl::d_exponent

## d_fak

float gr::radar::estimator_rcs_impl::d_fak

## d_lambda

float gr::radar::estimator_rcs_impl::d_lambda

## d_loop_counter

int gr::radar::estimator_rcs_impl::d_loop_counter

## d_msg_hold

std::vector<pmt::pmt_t> gr::radar::estimator_rcs_impl::d_msg_hold

## d_num_mean

int gr::radar::estimator_rcs_impl::d_num_mean

## d_port_id_in

pmt::pmt_t gr::radar::estimator_rcs_impl::d_port_id_in

## d_port_id_out

pmt::pmt_t gr::radar::estimator_rcs_impl::d_port_id_out

## d_power

std::vector<float> gr::radar::estimator_rcs_impl::d_power

## d_power_tx

float gr::radar::estimator_rcs_impl::d_power_tx

## d_ppower

pmt::pmt_t gr::radar::estimator_rcs_impl::d_ppower

## d_prange

pmt::pmt_t gr::radar::estimator_rcs_impl::d_prange

## d_range

std::vector<float> gr::radar::estimator_rcs_impl::d_range

## d_rcs

std::vector<float> gr::radar::estimator_rcs_impl::d_rcs

## d_rcs_key

pmt::pmt_t gr::radar::estimator_rcs_impl::d_rcs_key

## d_rcs_pack

pmt::pmt_t gr::radar::estimator_rcs_impl::d_rcs_pack

## d_rcs_vals

boost::circular_buffer<float> gr::radar::estimator_rcs_impl::d_rcs_vals

## d_rcs_value

pmt::pmt_t gr::radar::estimator_rcs_impl::d_rcs_value

## d_usrp_gain_rx

float gr::radar::estimator_rcs_impl::d_usrp_gain_rx

## d_value

pmt::pmt_t gr::radar::estimator_rcs_impl::d_value

The documentation for this class was generated from the following file:

- estimator_rcs_impl.h